Loading...
Searching...
No Matches
L4::Types::Same< A, B > Struct Template Reference
Base API » C++ IPC Interface Definition. » Internal Helpers

Compare two data types for equality. More...

`#include <types>`

Inheritance diagram for L4::Types::Same< A, B >:
Collaboration diagram for L4::Types::Same< A, B >:

## Additional Inherited Members

Public Types inherited from L4::Types::Bool< false >
typedef Bool< V > | type
| The meta type itself.

## Detailed Description

template<typename A, typename B>
struct L4::Types::Same< A, B >

Compare two data types for equality.

Template Parameters

  A | The first data type
  B | The second data type

The result is the boolean True if A and B are the same types.

Definition at line 312 of file types.

The documentation for this struct was generated from the following file:

- l4/sys/cxx/types